Bug Hunting Session
Bug 61566 - Text toolbars should have two rows
Summary: Text toolbars should have two rows
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
3.4.6 release
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Toolbars
  Show dependency treegraph
 
Reported: 2013-02-27 18:37 UTC by Dave Close
Modified: 2019-03-12 07:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Close 2013-02-27 18:37:48 UTC
When a toolbar is presented as text (words) rather than icons (pictures), the number of elements visible is severely constrained. This is because each text element is generally much wider than the icon equivalent. To make such a toolbar more practical and useful, text should be presented on two rows rather than just one. Each text element should use a font approximately half as high as the icons so that both rows of elements can fit into the same vertical space as the single row of icons.

This is a technique I first saw on very old versions of WordPerfect. I've wondered since why it hasn't been adopted more widely.
Comment 1 Heiko Tietze 2019-03-11 15:28:26 UTC
Meanwhile we have the Notebookbar which offers non-standard toolbar layouts.
Comment 2 Dave Close 2019-03-11 19:00:16 UTC
I appreciate that this ticket was still active after six years (!) and I'd still love a real solution. But I've never heard of the Notebookbar and, apparently, neither has my current LibreOffice installation. Entering that term to search the help does not find any reference. I'm running Fedora's "Build ID" 6.1.5.2-2.fc29. Where can I learn about the Notebookbar?
Comment 4 Dave Close 2019-03-11 21:24:37 UTC
Thanks for the explanation. The last cited reference states, "LibreOffice believes that it should be pleasant and easy to use by anyone; and it will never take steps (like other softwares sometimes do) that will sacrifice one group of users’ preferences just to please another." But everything I see makes it hard or harder to use for those of us who prefer *TEXT* buttons, not pictures (icons). For example, there is no way to change all toolbars globally to text mode, and it appears to be very difficult, if not impossible, to make text mode changes persist when the same document is later reopened. One of the references cited seems to continue this bias against text mode by asserting that text labels should not or cannot be used with the notebookbar. I truly wish that the quotation above could be believed but it doesn't look that way to me.

This ticket was opened because I prefer to use text buttons. Offering a new way to arrange icons is not a solution. If LO doesn't want to support text, that's certainly your privilege, but it won't make me happy.
Comment 5 Heiko Tietze 2019-03-12 07:40:16 UTC
(In reply to Dave Close from comment #4)
> But everything I see
> makes it hard or harder to use for those of us who prefer *TEXT* buttons,
> not pictures (icons). For example, there is no way to change all toolbars
> globally to text mode...

You could create your own icon theme without any items. Or go with the MUFFIN idea and create some special Notebookbar without icons. Sounds like an interesting idea though I doubt you have enough space for all commands (consider non-English localization).